Project APIAnnotations
Create an annotation type
A new kind of annotation, with its icon and color.
Authorization
personalAccessTokenAuth AuthorizationBearer <token>
Personal access token (prefixed gb_pat_). Acts on behalf of its owner and can never exceed the owner's own permissions. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
applicationId*number
Gamebeast project ID
Header Parameters
environment_id*number
Gamebeast environment ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/application/0/analytics/v1/annotations/types" \ -H "environment_id: 0" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "icon": "flag", "color": "chart-1" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "icon": "flag", "color": "chart-1", "systemKey": "experiment.lifecycle", "visibleByDefault": true, "annotationCount": 0, "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "archivedAt": "2019-08-24T14:15:22Z"}